Bug 116912 - imap open fails
imap open fails
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Joe Orton
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 08:02 EST by Pentti Haka
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-13 05:13:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pentti Haka 2004-02-26 08:02:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.0.3705; .NET CLR 1.1.4322)

Description of problem:
imap_open function in php fails.

I installed Fedora Core 1 and used Apache/PHP as they come in the 
package.

The imap_open function fails. It tries to check the validity
of the mail server certificate even for NON-SSL sessions. The imap 
server does not like this and refuses the attempt.

This is the same as bug #65694, reported earlier for RH 7.3 and seems 
to be alive still.

It can be "fixed" by appending "/novalidate-cert" to the host name 
parameter.


Version-Release number of selected component (if applicable):
php 4.3.3

How reproducible:
Always

Steps to Reproduce:
1. use Fedora core 1 and Apache/php supplied with it
2. use imap_open to connect to an ordinary pop3 server which does not 
support secure sessions
3. imap_open ("{". $host . ":110/pop3}", $userid, $pass); fails
4. imap_open ("{". $host . ":110/pop3/novalidate-cert}", $userid, 
$pass); works
Comment 1 Joe Orton 2004-07-20 08:01:17 EDT
Is this still reproducible in the 4.3.6 update?
Comment 2 Joe Orton 2005-01-13 05:13:41 EST
FC1 is no longer supported, in case this was not fixed in the last php
update issued there.

Note You need to log in before you can comment on or make changes to this bug.